GET /api/v3/inventory-items/{lcuid}¶
Summary¶
GET /inventory-items/{id}
Description¶
Returns a single inventory item
Tags: inventory-items
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): Indicates if the request was successfulinventory_item(object) Type:object
Properties:
unique_id(string): The vendor supplied unique_id for the itemtitle(string): The title of the itemdescription(string): The description of the itemnew_used(integer): Whether or not the item is new or used ( 1 = new, 0 = used )year(string): The year the item was mademake(string): The make or manufacturer of the itemmodel(string): The model of the itemsub_model(string): The sub model of the itemprice(integer): The price of the itemprice_original(string): The original price of the itemprice_modifier(string): The price modifier of the itemexternal_link(string): The external link to the itemstatus(integer): The status of the itemitem_class(string): The item class of the itemcreative_state(integer): The creative state of the itemlcuid(string)created_at(string): The date the item was createdupdated_at(string): The date the item was last updateddeleted_at(string): The date the item was deletedhas_price_override(boolean): Indicates if the item has a price overrideprice_upstream(string): The price upstream of the item-
account(object) Type:objectProperties:
name(string)lcuid(string)
-
creatives(array): Any creatives associated with this item image_assets(array): Any image assets associated with this item-
application(object) Type:objectProperties:
name(string)application_class_description(string)lcuid(string)
-
options(object) Type:objectProperties:
best_creative_image_photo_url(string)first_play_at(string)primary_image_background_removed_public_url(string)primary_image_public_url(string)
-
cached_tags(string) attributes(array)-
data_source(object) Type:objectProperties:
lcuid(string)name(string)
-
campaign_settings(string) -
campaigns(array)- Array items:
objectType:object
Properties:
name(string)lcuid(string)account_id(integer)
- Array items:
Example Response¶
{
"success": true,
"inventory_item": {
"unique_id": "saLURIA65g",
"title": "Unit Test - 7MJGdc9oCs25hON",
"description": "Some Description - dDyXVqMA8v8EB6pf6KIoDmZREhAHLw6vjJ4JHHEwqhQwWBGcZFdFFxDAWoaPQSCpvwjT22Vgrv3N5gtmYcx3uPXoPVDaMnJL3u27nPGyDDe51o7KrZrqQidNs0fJEAR0O23aWoQsTwuqwiznMgM0Qf",
"new_used": 0,
"year": null,
"make": "Some Make",
"model": "Some Model",
"sub_model": "Some Sub Model",
"price": 3685,
"price_original": "3685.00",
"price_modifier": null,
"external_link": "https://www.example.com/saLURIA65g",
"status": 1,
"item_class": "App\\LuCore\\InventoryItems\\GenericInventoryItemClass",
"creative_state": 0,
"lcuid": "LCUID-LI-0e959588-1d1f-40d5-8c65-97909965bab3",
"created_at": "2026-01-07T00:15:16.000000Z",
"updated_at": "2026-01-07T00:15:16.000000Z",
"deleted_at": null,
"has_price_override": false,
"price_upstream": null,
"account": {
"name": "Blue River Real Estate",
"lcuid": "LCUID-LA-cb73121d-b93d-4de7-8561-9ef8cd34d828"
},
"creatives": [],
"image_assets": [],
"application": {
"name": "Unit Test Application - 8bu4CRI3Sy",
"application_class_description": "",
"lcuid": "LCUID-LAP-c65c7e92-c5b8-4be3-a512-87074fd34292"
},
"options": {
"best_creative_image_photo_url": null,
"first_play_at": null,
"primary_image_background_removed_public_url": null,
"primary_image_public_url": null
},
"cached_tags": null,
"attributes": [],
"data_source": {
"lcuid": "LCUID-LF-d1f2123b-a70f-4ad5-89c7-422653838f2b",
"name": "LC MLS System"
},
"campaign_settings": null,
"campaigns": [
{
"name": "Blue River Real Estate - Items Campaign",
"lcuid": "LCUID-LE-446d47d4-5922-4cae-bfa4-11b54f7ecdf1",
"account_id": 4733
}
]
}
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/inventory-items/LCUID-LI-989f75f4-8cdd-4e09-a93b-0478660da53a" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/inventory-items/LCUID-LI-989f75f4-8cdd-4e09-a93b-0478660da53a"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/inventory-items/LCUID-LI-989f75f4-8cdd-4e09-a93b-0478660da53a',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/inventory-items/LCUID-LI-989f75f4-8cdd-4e09-a93b-0478660da53a'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()